
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_UTILS_H
#define MAI_UTILS_H

#include <glib.h>

G_BEGIN_DECLS

#define MAI_VERBOSE 1

#ifdef MAI_VERBOSE
  #define MAI_DEBUG(template, ...) g_debug("%s() " template, __FUNCTION__, __VA_ARGS__)
#else
  #define MAI_DEBUG
#endif

#define MAI_CALLBACK_TO_POINTER(cb_) \
        mai_callback_to_pointer ((void (*) (void)) cb_)

gpointer
mai_callback_to_pointer (void (*func) (void));

G_END_DECLS

#endif /* MAI_UTILS_H */

